# Mario's Ruined Seclusion
Created by BlueSheep123 in 2023

## Introduction
_Mario’s Ruined Seclusion_ is a ROM hack of Nintendo's _Super Mario World_. The adventure begins with Mario and the Princess having a picnic in the forest. While Mario went into the woods to pick some berries, Bowser crept in and snatched up the Princess! He has taken her to his brand new castle in the Defiled Isle, where she is being held hostage. It is up to the Mario Bros. to save the Princess yet again!

## Features
This ROM hack is packed with the following features and more...
-   6 worlds with 31 exits/levels.
-   Unique levels that each introduce their own gimmicks, ideas, and set pieces.
-   Custom music from a variety of games and composers.
-   A few custom graphics – Some made by me that are SMW-inspired, and some ripped from other video games.
-   A minimalist, unintrusive HUD.
-   Instead of having the same old castles at the end of each world, there are “final test” levels with varying themes.

## Installation Instructions
1.  Download a SNES emulator. Snes9x is strongly recommended as this ROM hack was tested using it. ZSNES is an outdated and inaccurate emulator.
2.  Obtain a copy of the original Super Mario World ROM.
3.  Use ROM Clean to ensure you are using an unmodified ROM. [Download ROM Clean](https://www.smwcentral.net/?p=section&a=details&id=12178)
4.  Use Floating IPS (Flips) to apply the `Mario's_Ruined_Seclusion.bps` patch. [Download Flips](https://www.smwcentral.net/?p=section&a=details&id=11474)
5.  Flips will output a `.smc` or `.sfc` file. Open this file in your emulator to play the game.

## Credits
This ROM hack would have not been possible without the help of the following people, tools, and resources.

### Music
| Type               | Name                              | Game                                | Original Composer      | Ported/Remixed By      |
|--------------------|-----------------------------------|-------------------------------------|------------------------|------------------------|
| Title              | World Star                        | Super Mario 3D World                | Koji Kondo             | Maxodex                |
| Starman            | Wing Cap                          | Super Mario 64                      | Koji Kondo             | Jimmy                  |
| P-Switch           | P-Switch (Remix)                  | Super Mario Bros. 3                 | Koji Kondo             | mario90                |
| Miss               | Mario and Luigi Died! (Remix)     | Super Mario World                   | Koji Kondo             | HarvettFox96           |
| World 1 Map        | Sunset Sonata                     |                                     | Red Chameleon          |                        |
| World 2 Map        | Few Paths Forbidden               | Seiken Densetsu 3                   | Hiroki Kikuta          | Masterlink             |
| World 3 Map        | Synthesis - Atlantic              |                                     | ThinkOneMoreTime       |                        |
| World 4 Map        | Title Screen (Beta Festive Remix) | Super Mario World                   | Koji Kondo             | SiIvagunner/Masterlink |
| World 5 Map        | Footlight Lane                    | Super Mario 3D World                | Koji Kondo             | Captain 3              |
| World 6 Map        | Hell Map                          |                                     | brickblock369          |                        |
| Blizzard           | Candion                           | Jazz Jackrabbit Holiday Hare 1995   | Robert A. Allen        | worldpeace             |
| Bonus              | Marine Pop and Airplane Pop       | Super Mario Land                    | Hirokazu Tanaka        | ?                      |
| Cave               | Labyrinths                        | Shantae                             | Jake Kaufman           | Wyatt                  |
| Dark               | Disco Train                       | Donkey Kong Country 2               | David Wise             | Slash Man              |
| Final world level  | Medivo                            | Jazz Jackrabbit                     | Robert A. Allen        | worldpeace             |
| Ghost house        | Mirror Magic                      | Celeste                             | Lena Raine             | Maxodex                |
| Grassland          | Cirno                             | MegaMari                            | NKZ                    | worldpeace             |
| Mist               | Water World                       | Donkey Kong Country 3 GBA           | David Wise             | HaruMKT                |
| Pipes              | Running Hell                      | Cave Story                          | Daisuke Amaya          | S.N.N.                 |
| Rocky              | Scorch 'n Torch                   | Donkey Kong Country Tropical Freeze | David Wise             | musicalman             |
| Sky                | Stickerbush Symphony              | Donkey Kong Country 2               | David Wise             | LadiesMan217           |
| Beanstalk          | Athletic (Remix)                  | Super Mario World                   | Koji Kondo             | HarvettFox96           |
| Snow               | Double Cherry Pass                | Super Mario 3D World                | Koji Kondo             | Dark Mario Bros        |
| Spooky             | Now It Begins                     |                                     | ThinkOneMoreTime       |                        |
| Water              | Clocktowers Beneath the Sea       | A Hat in Time                       | Pascal Michael Stiefel | Pinci                  |
| Water 2            | Joy of Remembrance                | Celeste                             | Lena Raine             | Maxodex                |
| World 6            | Hydrothermal Hollow               |                                     | Lui37                  |                        |

### Patches
-   DKCR Styled Sprite Status Bar by Ladida, lx5, and wye

### Testers
-   Mr. MS
-   lordkronos100
-   Mohamad20ZX

### Tooling
-   Lunar Magic - Level editor
-   AddmusicK - Insert music
-   YY-CHR - Graphics editor
-   Snes9x - Emulator
-   Paint.NET - Image editor
-   Visual Studio Code - Readme file creation (inspired by _A Plumber for All Seasons_' readme)

### Graphics
-   BlueSheep123
-   Super Mario Bros. 3
-   Super Mario Maker

### Title Screen Logo Fonts
-   [Mario Kart DS](https://www.dafont.com/mario-kart-ds.font)
-   [Super Mario 256](https://www.dafont.com/super-mario-256.font)

## Changelog
### 1.0.0-beta (2023-01-09)
-   Initial beta release.

### 1.1.0-beta (2023-01-20)
-   Redesigned World 1-2. In the original design, it was rare but possible for the player to clip into the brown block walls for a fraction of a second, triggering the eating block sprite. This defeated the purpose of the gimmick. The level is now tightrope themed.

### 1.2.0-beta (2023-02-08)
-   Added credit to Mr. MS and lordkronos100 for testing.
-   Slightly increased difficulty of later levels.

### 1.0.0-release (2023-03-23)
-   Increased difficulty of later levels.
-   Changed some color palettes slightly.
-   Added enemies in emptier parts of levels.
-   Fixed 'Easy Does It' bonus room pipe entrance.
-   Added reference to this readme to credits.
-   Added Mohamad20ZX to credits.
-   Added decorations to end of 'Prickly Promenade'.